--- xl2tpd-1.1.12.dfsg.1.orig/debian/control
+++ xl2tpd-1.1.12.dfsg.1/debian/control
@@ -0,0 +1,31 @@
+Source: xl2tpd
+Section: net
+Priority: optional
+Maintainer: Roberto C. Sanchez <roberto@connexer.com>
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: xl2tpd
+Architecture: any
+Provides: l2tpd
+Replaces: l2tpd (<< ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
+Description: a layer 2 tunneling protocol implementation
+ xl2tpd is an open source implementation of the L2TP tunneling
+ protocol (RFC2661).  xl2tpd is forked from l2tpd and is maintained by
+ Xelerance Corporation.
+ .
+ This package replaces the obsolete and unmaintained l2tpd.
+ .
+ The main purpose of this protocol is to tunnel PPP frames through IP
+ networks.  It implements both LAC and LNS role in the L2TP networking
+ architecture.
+ .
+ Homepage: http://www.xelerance.com/software/xl2tpd/
+
+Package: l2tpd
+Architecture: all
+Depends: xl2tpd
+Description: dummy package for l2tpd to xl2tpd transition
+ Dummy package to upgrade to the new xl2tpd package.
+
--- xl2tpd-1.1.12.dfsg.1.orig/debian/xl2tpd.dirs
+++ xl2tpd-1.1.12.dfsg.1/debian/xl2tpd.dirs
@@ -0,0 +1,4 @@
+usr/sbin
+etc/xl2tpd
+var/run/xl2tpd
+usr/share/lintian/overrides
--- xl2tpd-1.1.12.dfsg.1.orig/debian/xl2tpd.init
+++ xl2tpd-1.1.12.dfsg.1/debian/xl2tpd.init
@@ -0,0 +1,66 @@
+#! /bin/sh
+
+### BEGIN INIT INFO
+# Provides:          xl2tpd l2tpd
+# Required-Start:    $network $syslog
+# Required-Stop:     $network $syslog
+# Should-Start:      ipsec
+# Should-Stop:       ipsec
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: layer 2 tunelling protocol daemon
+# Description:       xl2tpd is usually used in conjunction with an ipsec
+#                    daemon (such as openswan).
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/xl2tpd
+NAME=xl2tpd
+DESC=xl2tpd
+
+test -x $DAEMON || exit 0
+
+# Include xl2tpd defaults if available
+if [ -f /etc/default/xl2tpd ] ; then
+	. /etc/default/xl2tpd
+fi
+
+set -e
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: "
+	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+	;;
+  stop)
+	echo -n "Stopping $DESC: "
+	start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON
+	echo "$NAME."
+	;;
+  force-reload)
+	# check wether $DAEMON is running. If so, restart
+	start-stop-daemon --stop --test --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON \
+	&& $0 restart \
+	|| exit 0
+	;;
+  restart)
+    echo -n "Restarting $DESC: "
+	start-stop-daemon --stop --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	sleep 1
+	start-stop-daemon --start --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+	;;
+  *)
+	N=/etc/init.d/$NAME
+	echo "Usage: $N {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
--- xl2tpd-1.1.12.dfsg.1.orig/debian/xl2tpd.postrm
+++ xl2tpd-1.1.12.dfsg.1/debian/xl2tpd.postrm
@@ -0,0 +1,39 @@
+#!/bin/sh
+# postrm script for xl2tpd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- xl2tpd-1.1.12.dfsg.1.orig/debian/xl2tpd.default
+++ xl2tpd-1.1.12.dfsg.1/debian/xl2tpd.default
@@ -0,0 +1,10 @@
+# Defaults for xl2tpd initscript
+# sourced by /etc/init.d/xl2tpd
+# installed at /etc/default/xl2tpd by the maintainer scripts
+
+#
+# This is a POSIX shell fragment
+#
+
+# Additional options that are passed to the Daemon.
+DAEMON_OPTS=""
--- xl2tpd-1.1.12.dfsg.1.orig/debian/changelog
+++ xl2tpd-1.1.12.dfsg.1/debian/changelog
@@ -0,0 +1,27 @@
+xl2tpd (1.1.12.dfsg.1-1~bpo40+1) etch-backports; urgency=low
+
+  * Rebuilt for etch.
+
+ -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Oct 2007 10:06:01 -0400
+
+xl2tpd (1.1.12.dfsg.1-1) unstable; urgency=low
+
+  * New upstream release
+  * Repack upsteam tarball: remove non-free RFC and shipped debian/ directory
+
+ -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Oct 2007 09:46:16 -0400
+
+xl2tpd (1.1.11.dfsg.1-2) unstable; urgency=low
+
+  * Added missing copyright notices.
+
+ -- Roberto C. Sanchez <roberto@connexer.com>  Fri,  3 Aug 2007 14:13:23 -0400
+
+xl2tpd (1.1.11.dfsg.1-1) unstable; urgency=low
+
+  * Initial release (Closes: #427113, 402660)
+  * Make l2tpd obsolete (Closes: #358799)
+  * Repackage upstream tarball to remove non-free RFC (Closes: #393381)
+
+ -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 31 Jul 2007 20:57:23 -0400
+
--- xl2tpd-1.1.12.dfsg.1.orig/debian/xl2tpd.preinst
+++ xl2tpd-1.1.12.dfsg.1/debian/xl2tpd.preinst
@@ -0,0 +1,37 @@
+#!/bin/sh
+# preinst script for xl2tpd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- xl2tpd-1.1.12.dfsg.1.orig/debian/copyright
+++ xl2tpd-1.1.12.dfsg.1/debian/copyright
@@ -0,0 +1,34 @@
+This package was debianized by Roberto C. Sanchez <roberto@connexer.com> on
+Thu, 31 May 2007 20:13:19 -0400.
+
+It was downloaded from http://www.xelerance.com/software/xl2tpd/
+
+Upstream Author: Xelerance Corporation
+
+Copyright: (c) 2006-2007 Xelerance 
+           Please see the CREDITS file for a complete copyright history of
+           all parts of the project.
+
+License:
+
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2 of the License, or
+   (at your option) any later version.
+
+   This package is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this package; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
+
+The Debian packaging is (C) 2007, Roberto C. Sanchez <roberto@connexer.com> and
+is licensed under the GPL, see above.  It is based on the packaging of the
+original l2tpd package by Jean-Francois Dive.
+
--- xl2tpd-1.1.12.dfsg.1.orig/debian/rules
+++ xl2tpd-1.1.12.dfsg.1/debian/rules
@@ -0,0 +1,74 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	touch configure-stamp
+
+build: build-stamp
+build-stamp: configure-stamp 
+	dh_testdir
+	$(MAKE)
+	touch $@
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+	[ ! -f Makefile ] || $(MAKE) clean
+	dh_clean 
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+	$(MAKE) DESTDIR=$(CURDIR)/debian/xl2tpd install
+	cp $(CURDIR)/doc/l2tpd.conf.sample $(CURDIR)/debian/xl2tpd/etc/xl2tpd/xl2tpd.conf
+	cp $(CURDIR)/doc/l2tp-secrets.sample $(CURDIR)/debian/xl2tpd/etc/xl2tpd/l2tp-secrets
+
+# Build architecture-independent files here.
+binary-indep: build install
+	dh_link -pl2tpd usr/share/doc/xl2tpd usr/share/doc/l2tpd
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs CHANGES
+	dh_installdocs
+#	dh_install
+	dh_installinit
+	dh_installman
+	cp debian/lintian-overrides \
+		debian/xl2tpd/usr/share/lintian/overrides/xl2tpd
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	chmod 600 $(CURDIR)/debian/xl2tpd/etc/xl2tpd/l2tp-secrets
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
--- xl2tpd-1.1.12.dfsg.1.orig/debian/watch
+++ xl2tpd-1.1.12.dfsg.1/debian/watch
@@ -0,0 +1,9 @@
+# Example watch control file for uscan
+# Rename this file to "watch" and then you can run the "uscan" command
+# to check for upstream updates and more.
+# See uscan(1) for format
+
+# Compulsory line, this is a version 3 file
+version=3
+
+http://www.xelerance.com/software/xl2tpd/ xl2tpd-(.*)\.tar\.gz
--- xl2tpd-1.1.12.dfsg.1.orig/debian/xl2tpd.prerm
+++ xl2tpd-1.1.12.dfsg.1/debian/xl2tpd.prerm
@@ -0,0 +1,40 @@
+#!/bin/sh
+# prerm script for xl2tpd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- xl2tpd-1.1.12.dfsg.1.orig/debian/xl2tpd.postinst
+++ xl2tpd-1.1.12.dfsg.1/debian/xl2tpd.postinst
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postinst script for xl2tpd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- xl2tpd-1.1.12.dfsg.1.orig/debian/lintian-overrides
+++ xl2tpd-1.1.12.dfsg.1/debian/lintian-overrides
@@ -0,0 +1,3 @@
+# The etc/xl2tpd/l2tp-secrets file must not be readable by non-root
+xl2tpd: non-standard-file-perm etc/xl2tpd/l2tp-secrets 0600 != 0644
+
--- xl2tpd-1.1.12.dfsg.1.orig/debian/xl2tpd.docs
+++ xl2tpd-1.1.12.dfsg.1/debian/xl2tpd.docs
@@ -0,0 +1,2 @@
+README.xl2tpd
+CREDITS
--- xl2tpd-1.1.12.dfsg.1.orig/debian/compat
+++ xl2tpd-1.1.12.dfsg.1/debian/compat
@@ -0,0 +1 @@
+5
